Skip to content

CreateTdsSdsDepositDraft

POST
/v2.0/openflow/create-tds-deposit-draft
curl --request POST \
--url https://wl.api.cluster.openbrix.co.uk/v2.0/openflow/create-tds-deposit-draft \
--header 'Content-Type: application/json' \
--data '{ "rental_amount": 1, "rental_frequency": "example", "tenancy_deposit_amount": 1, "tenancy_deposit_amount_protect": 1, "holding_desposit_received_date": "2026-04-15T12:00:00Z", "tenancy_start_date": "2026-04-15T12:00:00Z", "tenancy_end_date": "2026-04-15T12:00:00Z", "number_of_tenants": 1, "property_name": "example", "is_organizational_tenant": "example", "is_relative_person": "example", "agreement": "example", "contactAddress": "example", "relativePersonDetails": {} }'
Media typeapplication/json
object
rental_amount
number format: double
rental_frequency
string
tenancy_deposit_amount
number format: double
tenancy_deposit_amount_protect
number format: double
holding_desposit_received_date
string format: date-time
tenancy_start_date
string format: date-time
tenancy_end_date
string format: date-time
number_of_tenants
number format: double
property_name
string
is_organizational_tenant
string
is_relative_person
string
agreement
string
contactAddress
string
relativePersonDetails
object
Examplegenerated
{
"rental_amount": 1,
"rental_frequency": "example",
"tenancy_deposit_amount": 1,
"tenancy_deposit_amount_protect": 1,
"holding_desposit_received_date": "2026-04-15T12:00:00Z",
"tenancy_start_date": "2026-04-15T12:00:00Z",
"tenancy_end_date": "2026-04-15T12:00:00Z",
"number_of_tenants": 1,
"property_name": "example",
"is_organizational_tenant": "example",
"is_relative_person": "example",
"agreement": "example",
"contactAddress": "example",
"relativePersonDetails": {}
}

Ok

Media typeapplication/json
Examplegenerated
example